## leiningen-clojure 2.10.0

=== web/Makefile ===
upload: ; rsync -r ./ philhag@leiningen.org:leiningen.org/

## leiningen-clojure 2.8.1

=== debian/changelog ===
leiningen-clojure (2.8.1-7ubuntu1) cosmic; urgency=medium

  * Depend on libwagon-java in autopkgtest as well.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Oct 2018 00:12:51 +0100

leiningen-clojure (2.8.1-7) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Depend on libwagon-java instead of libwagon2-java (Closes: #891175)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11

  [ Elana Hashman ]
  * Patch dependencies to match versions in Debian (Closes: #906374)
  * Make build as verbose as possible, per policy 4.2.0
  * Assert compliance with Standard-Version 4.2.0

 -- Elana Hashman <ehashman@debian.org>  Sat, 18 Aug 2018 18:34:24 -0400

leiningen-clojure (2.8.1-6) unstable; urgency=medium

  * Do not pin architecture in patch to bin/lein-pkg.
  * Do not pin architecture in debian/rules.
  * Remove hardcoded DEBUG=1 from debian/rules.

 -- Elana Hashman <ehashman@debian.org>  Sat, 14 Apr 2018 19:12:35 -0400

leiningen-clojure (2.8.1-5) unstable; urgency=medium

  * Fix homepage.
  * Update clojure builddep to clojure1.8. (Closes: #889533)
  * Patch commons-io version to match Debian.
  * Switch Vcs from alioth to salsa.
  * Add hard dependency on Java 8.

 -- Elana Hashman <ehashman@debian.org>  Fri, 13 Apr 2018 22:14:27 -0400

leiningen-clojure (2.8.1-4) unstable; urgency=medium

  * Improve short description for i18n/l10n. (Closes: #886106)
  * Add JDK in Recommends for javac task.

 -- Elana Hashman <ehashman@debian.org>  Sat, 06 Jan 2018 17:45:27 -0500

leiningen-clojure (2.8.1-3) unstable; urgency=medium

  * Fix copyright.

 -- Elana Hashman <ehashman@debian.org>  Thu, 28 Dec 2017 18:25:47 -0500

leiningen-clojure (2.8.1-2) unstable; urgency=medium

  * Fix package dependencies.
  * Fix broken autopkgtests.
  * Remove strip-nondeterminism to address performance issues.
  * Fix broken lein-core jar.

 -- Elana Hashman <ehashman@debian.org>  Sat, 23 Dec 2017 18:36:52 -0500

leiningen-clojure (2.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #819811)

 -- Elana Hashman <ehashman@debian.org>  Sat, 23 Dec 2017 11:36:13 -0500

=== debian/control ===
Source: leiningen-clojure
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders: Elana Hashman <ehashman@debian.org>
Build-Depends:
 debhelper (>= 11~),
 javahelper (>= 0.32),
 maven-debian-helper (>= 2.0),
 libmaven-install-plugin-java,
 bash-completion,
 openjdk-8-jdk,
 libclojure1.8-java,
# leiningen-core
 libbultitude-clojure (>= 0.2.8),
 libclasslojure-clojure (>= 0.7.1),
 librobert-hooke-clojure (>= 1.3.0),
 libpomegranate-clojure (>= 0.4.0),
 libdynapath-clojure (>= 1.0.0),
 libcom-hypirion-io-clojure (>= 0.3.1),
 libtools-macro-clojure (>= 0.1.5),
 libcomplete-clojure (>= 0.2.4),
 libwagon-java (>= 2.12),
 libslf4j-java (>= 1.7.22),
# leiningen
 libdata-xml-clojure (>= 0.0.8),
 libstencil-clojure (>= 0.5.0),
 libtools-nrepl-clojure (>= 0.2.12),
 libsjacket-clojure (>= 0.1.1),
 libparsley-clojure (>= 0.9.3),
 libscout-clojure (>= 0.1.1),
 libcommons-lang-java (>= 2.6),
 libcommons-io-java (>= 2.5)
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/clojure-team/leiningen-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/leiningen-clojure
Homepage: https://leiningen.org

Package: leiningen
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 openjdk-8-jre-headless
Recommends:
 ${java:Recommends},
 openjdk-8-jdk-headless
Suggests: ${maven:OptionalDepends}
Description: Automation tool and dependency manager for Clojure projects
 Working on Clojure projects with tools designed for Java can be an
 exercise in frustration. With Leiningen, you describe your build with
 Clojure. Leiningen handles fetching dependencies, running tests, packaging
 your projects and can be easily extended with a number of plugins.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

export DEBUG=1
export LEIN_HOME=$(CURDIR)/.lein
export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)

# Jars needed to bootstrap leiningen, one per line, with debian/maven-repo/
# removed.
BOOTSTRAP_JARS=leiningen-core/leiningen-core/$(DEB_VERSION_UPSTREAM)/leiningen-core-$(DEB_VERSION_UPSTREAM).jar \
	bultitude/bultitude/debian/bultitude-debian.jar \
	clojure-complete/clojure-complete/debian/clojure-complete-debian.jar \
	com/cemerick/pomegranate/debian/pomegranate-debian.jar \
	com/google/guava/guava/debian/guava-debian.jar \
	javax/inject/javax.inject/debian/javax.inject-debian.jar \
	com/hypirion/io/debian/io-debian.jar \
	commons-codec/commons-codec/debian/commons-codec-debian.jar \
	commons-io/commons-io/debian/commons-io-debian.jar \
	commons-logging/commons-logging/debian/commons-logging-debian.jar \
	org/apache/commons/commons-lang3/debian/commons-lang3-debian.jar \
	org/apache/httpcomponents/httpclient/debian/httpclient-debian.jar \
	org/apache/httpcomponents/httpcore/debian/httpcore-debian.jar \
	org/apache/maven/maven-artifact/3.x/maven-artifact-3.x.jar \
	org/apache/maven/maven-builder-support/3.x/maven-builder-support-3.x.jar \
	org/apache/maven/maven-model/3.x/maven-model-3.x.jar \
	org/apache/maven/maven-model-builder/3.x/maven-model-builder-3.x.jar \
	org/apache/maven/maven-repository-metadata/3.x/maven-repository-metadata-3.x.jar \
	org/apache/maven/maven-resolver-provider/3.x/maven-resolver-provider-3.x.jar \
	org/apache/maven/resolver/maven-resolver-api/debian/maven-resolver-api-debian.jar \
	org/apache/maven/resolver/maven-resolver-connector-basic/debian/maven-resolver-connector-basic-debian.jar \
	org/apache/maven/resolver/maven-resolver-impl/debian/maven-resolver-impl-debian.jar \
	org/apache/maven/resolver/maven-resolver-spi/debian/maven-resolver-spi-debian.jar \
	org/apache/maven/resolver/maven-resolver-transport-file/debian/maven-resolver-transport-file-debian.jar \
	org/apache/maven/resolver/maven-resolver-transport-http/debian/maven-resolver-transport-http-debian.jar \
	org/apache/maven/resolver/maven-resolver-transport-wagon/debian/maven-resolver-transport-wagon-debian.jar \
	org/apache/maven/resolver/maven-resolver-util/debian/maven-resolver-util-debian.jar \
	org/apache/maven/wagon/wagon-http/debian/wagon-http-debian.jar \
	org/apache/maven/wagon/wagon-http-shared/debian/wagon-http-shared-debian.jar \
	org/apache/maven/wagon/wagon-provider-api/debian/wagon-provider-api-debian.jar \
	org/clojure/clojure/debian/clojure-debian.jar \
	org/clojure/tools.macro/debian/tools.macro-debian.jar \
	org/clojure/tools.macro/debian/tools.nrepl-debian.jar \
	org/codehaus/plexus/plexus-component-annotations/debian/plexus-component-annotations-debian.jar \
	org/codehaus/plexus/plexus-interpolation/debian/plexus-interpolation-debian.jar \
	org/codehaus/plexus/plexus-utils/2.x/plexus-utils-2.x.jar \
	org/flatland/classlojure/debian/classlojure-debian.jar \
	org/jsoup/jsoup/debian/jsoup-debian.jar \
	org/slf4j/jcl-over-slf4j/debian/jcl-over-slf4j-debian.jar \
	org/slf4j/slf4j-api/debian/slf4j-api-debian.jar \
	org/slf4j/slf4j-nop/debian/slf4j-nop-debian.jar \
	org/tcrawley/dynapath/debian/dynapath-debian.jar \
	robert/hooke/debian/hooke-debian.jar

# Generate LEIN_BOOTSTRAP from BOOTSTRAP_JARS
BOOTSTRAP_PATHS=$(foreach jar,$(BOOTSTRAP_JARS),debian/maven-repo/$(jar))
EMPTY :=
SPACE := $(EMPTY) $(EMPTY)
LEIN_BOOTSTRAP=$(subst $(SPACE),:,$(BOOTSTRAP_PATHS))

%:
	dh $@ --with bash-completion --with javahelper --buildsystem=maven

override_dh_auto_build:
	cp resources/leiningen/bootclasspath-deps.clj \
	   leiningen-core/src/leiningen/bootclasspath-deps.clj
	dh_auto_build -- -f leiningen-core/pom.xml install
	echo $(LEIN_BOOTSTRAP) > leiningen-core/.lein-bootstrap
	chmod a+x bin/lein
	bin/lein uberjar
	bin/lein pom
	cp bin/lein bin/lein-standalone
	cp bin/lein-pkg bin/lein
	cp zsh_completion.zsh _lein

override_dh_auto_test:
	dh_auto_test -- -f leiningen-core/pom.xml test

override_dh_auto_install:
	dh_auto_install -- -f leiningen-core/pom.xml
	mh_installjar -pleiningen -l pom.xml target/leiningen-$(DEB_VERSION_UPSTREAM)-standalone.jar
	mh_installpom -pleiningen pom.xml

override_dh_auto_clean:
	rm -f leiningen-core/src/leiningen/bootclasspath-deps.clj
	dh_auto_clean -- -f leiningen-core/pom.xml clean
	rm -f leiningen-core/.lein-bootstrap
	rm -f .lein-project-checksum
	rm -f .lein-classpath
	rm -rf .lein
	rm -f pom.xml
	rm -rf target
	rm -f _lein
	if [ -f bin/lein-standalone ] ; then \
		mv bin/lein-standalone bin/lein; \
	fi

override_dh_strip_nondeterminism:

=== debian/tests/control ===
Depends: @, clojure1.8, libbultitude-clojure, libclasslojure-clojure, librobert-hooke-clojure, libpomegranate-clojure, libdynapath-clojure, libcom-hypirion-io-clojure, libtools-macro-clojure, libcomplete-clojure, libwagon-java, libslf4j-java
Restrictions: allow-stderr
Tests: import-core

Depends: @, bash
Tests: test-lein

## leiningen-clojure 2.9.0

=== debian/changelog ===
leiningen-clojure (2.9.0-1) unstable; urgency=medium

  * New upstream version.
  * Build Leiningen with JDK11 (Closes: #900299, #923164)
  * Build Leiningen with Leiningen, and no longer build/install lein-core.
  * Update autopkgtests to work with JDK11.
  * Added a NEWS.Debian file to inform users of the JDK8 -> 11 changes.

 -- Elana Hashman <ehashman@debian.org>  Sun, 03 Mar 2019 14:38:24 +0000

leiningen-clojure (2.8.1-9) unstable; urgency=medium

  * Fix dependency (libwagon2-java -> libwagon-java) in autopkgtests.
  * Assert compliance with policy 4.2.1. Obey the policy.

 -- Elana Hashman <ehashman@debian.org>  Sat, 20 Oct 2018 11:56:55 -0400

## leiningen-clojure 2.9.1

=== debian/changelog ===
leiningen-clojure (2.9.1-5) unstable; urgency=medium

  * Patch lein to use "debian" versions. (Closes: #981353)
  * Remove outdated dependency.
  * Fix homepage link.

 -- Elana Hashman <ehashman@debian.org>  Sat, 30 Jan 2021 23:57:40 -0500

leiningen-clojure (2.9.1-4) unstable; urgency=medium

  * Team upload.
  * d/patches: use generic "debian" version for slf4j-nop. (Closes: #980645)
  * d/tests: use $AUTOPKGTEST_TMP instead of /tmp.
  * d/control: use dh-compat and upgrade to dh13.
  * d/control: Standards-Version update to 4.5.1. Add Rules-Requires-Root.
  * d/copyright: fix insecure URI.
  * d/watch: update to v4 and use git mode.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 29 Jan 2021 13:37:42 -0500

leiningen-clojure (2.9.1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to bump commons-io to 2.8.0. (Closes: #973094)

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 23 Nov 2020 01:50:45 +0530

leiningen-clojure (2.9.1-2) unstable; urgency=medium

  * Patch lein to build with Clojure 1.10.1.

 -- Elana Hashman <ehashman@debian.org>  Thu, 26 Dec 2019 17:43:11 -0500

leiningen-clojure (2.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 23 Jul 2019 13:35:04 -0500

=== debian/control ===
Source: leiningen-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders: Elana Hashman <ehashman@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 javahelper (>= 0.32),
 maven-debian-helper (>= 2.0),
 leiningen,
 libmaven-install-plugin-java,
 bash-completion,
 openjdk-11-jdk,
 libclojure-java (>= 1.10),
# leiningen-core
 libbultitude-clojure (>= 0.3.0-2),
 libclasslojure-clojure (>= 0.7.1),
 librobert-hooke-clojure (>= 1.3.0),
 libpomegranate-clojure (>= 1.1.0+really),
 libdynapath-clojure (>= 1.0.0),
 libcom-hypirion-io-clojure (>= 0.3.1),
 libtools-macro-clojure (>= 0.1.5),
 libcomplete-clojure (>= 0.2.5),
 libwagon-java (>= 2.12),
 libslf4j-java (>= 1.7.22),
# leiningen
 libdata-xml-clojure (>= 0.0.8),
 libstencil-clojure (>= 0.5.0),
 libnrepl-clojure (>= 0.6.0),
 libsjacket-clojure (>= 0.1.1),
 libparsley-clojure (>= 0.9.3),
 libscout-clojure (>= 0.1.1),
 libcommons-lang-java (>= 2.6),
 libcommons-io-java (>= 2.8.0)
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/clojure-team/leiningen-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/leiningen-clojure
Homepage: https://leiningen.org
Rules-Requires-Root: no

Package: leiningen
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 default-jre-headless
Recommends:
 ${java:Recommends},
 default-jdk-headless
Suggests: ${maven:OptionalDepends}
Description: Automation tool and dependency manager for Clojure projects
 Working on Clojure projects with tools designed for Java can be an
 exercise in frustration. With Leiningen, you describe your build with
 Clojure. Leiningen handles fetching dependencies, running tests, packaging
 your projects and can be easily extended with a number of plugins.

=== debian/tests/control ===
Depends: @, bash, openjdk-11-jre-headless
Tests: test-lein

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/technomancy/leiningen.git \
refs/tags/([\d\.]+)

## leiningen-clojure 2.10.0

=== debian/changelog ===
leiningen-clojure (2.10.0-2) unstable; urgency=medium

  * Team upload.
  * d/control, d/patches/0005: drop patch and use nrepl-incomplete-clojure
    instead.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 20 Jan 2023 14:47:00 -0500

leiningen-clojure (2.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/gbp.conf: add file and move 'master' branch to 'debian/main'.
  * d/watch: upstream moved from github to codeberg.
  * d/patches: refresh patches for new upstream version.
  * d/control: update dependencies and remove unnecessary version
    restrictions.
  * d/tests/test-lein: update the autopkgtest for lein 2.10.
  * d/control, d/tests/0005: temporary replace nrepl-incomplete by
    complete-clojure, while the former goes through NEW.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 05 Jan 2023 18:26:16 -0500

leiningen-clojure (2.9.1-9) unstable; urgency=medium

  * Team upload.
  * d/control: Replace build-dependency on openjdk-11 by default-jdk.
  * d/rules: don't hardcode java 11 as the interpreter.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 18 Nov 2022 14:56:26 -0500

leiningen-clojure (2.9.1-8) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: add nrepl-clojure and libcomplete-clojure as install
    dependency.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 13 Jul 2022 09:22:31 +0200

leiningen-clojure (2.9.1-7) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: tighten the nrepl versioned dependency to fix autopkgtest
    failure on cljx-clojure.
  * d/control: Standards-Version update to 4.6.1. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 12 Jul 2022 20:46:55 +0200

leiningen-clojure (2.9.1-6) unstable; urgency=medium

  * Team upload

  [ Louis-Philippe Véronneau ]
  * d/control: New email for the Clojure Team.
  * d/patches/0004: patch nrepl to use 0.9.0. (Closes: #1012824)
  * d/patches/0004: there is no "debian" version for maven-resolver-provider,
    only a "3.x" version
  * d/tests: mark test-lein as requiring network connectivity.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 19 Jun 2022 12:31:29 -0400

=== debian/control ===
Source: leiningen-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Uploaders: Elana Hashman <ehashman@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 javahelper,
 maven-debian-helper,
 leiningen,
 libmaven-install-plugin-java,
 bash-completion,
 default-jdk,
 libclojure-java (>= 1.11.1-2),
# leiningen-core
 libbultitude-clojure,
 libclasslojure-clojure,
 librobert-hooke-clojure,
 libpomegranate-clojure (>= 1.2.1),
 libdynapath-clojure,
 libcom-hypirion-io-clojure,
 libtools-macro-clojure,
 libwagon-java,
 libslf4j-java,
 libnrepl-incomplete-clojure,
# leiningen
 libdata-xml-clojure (>= 0.2.0~alpha6),
 libstencil-clojure,
 libnrepl-clojure (>= 1.0.0),
 libsjacket-clojure (>= 0.1.1.1-1),
 libparsley-clojure,
 libscout-clojure,
 libcommons-lang-java,
 libcommons-io-java,
 libcommons-codec-java,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/clojure-team/leiningen-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/leiningen-clojure
Homepage: https://leiningen.org
Rules-Requires-Root: no

Package: leiningen
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 default-jre-headless,
 libnrepl-clojure (>= 1.0.0),
 libnrepl-incomplete-clojure
Recommends:
 ${java:Recommends},
 default-jdk-headless
Suggests: ${maven:OptionalDepends}
Description: Automation tool and dependency manager for Clojure projects
 Working on Clojure projects with tools designed for Java can be an
 exercise in frustration. With Leiningen, you describe your build with
 Clojure. Leiningen handles fetching dependencies, running tests, packaging
 your projects and can be easily extended with a number of plugins.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

export DEBUG=1
export LEIN_HOME=$(CURDIR)/.lein

%:
	dh $@ --with bash-completion --with javahelper --buildsystem=maven

override_dh_auto_build:
	cd leiningen-core && lein bootstrap
	chmod a+x bin/lein
	bin/lein uberjar
	bin/lein pom
	cp bin/lein bin/lein-standalone
	cp bin/lein-pkg bin/lein
	cp zsh_completion.zsh _lein

override_dh_auto_install:
	mh_installjar -pleiningen -l pom.xml target/leiningen-$(DEB_VERSION_UPSTREAM)-standalone.jar
	mh_installpom -pleiningen pom.xml

override_dh_auto_test:
	dh_auto_test -- -f leiningen-core/pom.xml test

override_dh_auto_clean:
	dh_auto_clean
	cd leiningen-core && lein clean
	rm -f leiningen-core/.lein-bootstrap
	rm -f .lein-project-checksum
	rm -f .lein-classpath
	rm -rf .lein
	rm -f pom.xml
	rm -rf target
	rm -f _lein
	if [ -f bin/lein-standalone ] ; then \
		mv bin/lein-standalone bin/lein; \
	fi

override_dh_strip_nondeterminism:

=== debian/tests/control ===
Depends: @, bash, default-jre-headless
Tests: test-lein
Restrictions: needs-internet

=== debian/watch ===
version=4
opts="mode=git" \
https://codeberg.org/leiningen/leiningen.git \
refs/tags/([\d\.]+)

## leiningen-clojure 2.11.2

=== web/Makefile ===
DOCS=tutorial.html faq.html plugins.html profiles.html deploy.html

upload: html
	rsync -r ./ leiningen.org:leiningen.org/

html: $(DOCS)

# we can't set the prerequisite properly because we used uppercase
# filenames for some reason in the markdown
%.html:
	pandoc --template template.html --to html -o $@ \
		--metadata title="Leiningen $*" \
		../doc/$(shell echo $* | tr '[:lower:]' '[:upper:]').md

clean: ; rm $(DOCS)

# TODO: css for code styles

.PHONY: upload html

=== web/wiki/Makefile ===
upload: index.cgi .htaccess 404.html
	rsync -rAv $^ leiningen@wiki.leiningen.org:wiki.leiningen.org/

=== debian/changelog ===
leiningen-clojure (2.11.2-1) unstable; urgency=medium

  * Team upload.
  * Upgrade to 2.11.2.
  * test-lein: adjust expected output for 2.11.2.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 11 Jan 2026 13:18:54 -0600

leiningen-clojure (2.10.0-5) unstable; urgency=medium

  * Team upload.
  * Support dh-clojure-lein project adjustment.
  * Add debian/README, mentioning the dh-clojure support.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 19 Dec 2024 16:07:44 -0600

leiningen-clojure (2.10.0-4) unstable; urgency=medium

  * Team upload.
  * d/patches: add patch to fix ftbfs

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 02 Dec 2024 20:23:49 -0500

leiningen-clojure (2.10.0-3) unstable; urgency=medium

  * Team upload.
  * d/patches: backport upstream active-profiles patch

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 27 Nov 2024 22:52:01 -0500
